Name:           python-spf
Version:        2.0.3
Release:        %mkrel 4
Summary:        Python module and programs for SPF (Sender Policy Framework)
Group:          Development/Python
License:        Python Software Foundation License
URL:            http://sourceforge.net/forum/forum.php?forum_id=596908
Source0:        pyspf-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
%py_requires -d
Requires:       python-pydns
Provides:	python-pyspf = %{version}-%{release}
Provides:	pyspf = %{version}-%{release}

%description
SPF does email sender validation.  For more information about SPF,
please see http://openspf.org

This SPF client is intended to be installed on the border MTA, checking
if incoming SMTP clients are permitted to send mail.  The SPF check
should be done during the MAIL FROM:<...> command.

%prep
%setup -q -n pyspf-%{version}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install -O2 --skip-build --root %{buildroot}
mv %{buildroot}/usr/bin/type99.py %{buildroot}/usr/bin/type99
mv %{buildroot}/usr/bin/spfquery.py %{buildroot}/usr/bin/pyspfquery
rm -f %{buildroot}/usr/bin/*.py{o,c}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG PKG-INFO README test
/*


%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Wed Aug 18 2010 pcserver <pcserver at hush.com> 2.0.3-2pclos2010
- update package

